Skip to main content
GET
/
stores
/
{storeId}
/
products
/
{productId}
Get product
curl --request GET \
  --url https://api.pandabase.io/v2/storefront/stores/{storeId}/products/{productId}
{
  "ok": true,
  "data": {
    "id": "<string>",
    "title": "<string>",
    "handle": "<string>",
    "price": 123,
    "images": [
      "<string>"
    ],
    "inStock": true,
    "currency": "<string>",
    "productType": "SERIAL",
    "pricingModel": "STANDARD",
    "status": "ACTIVE",
    "options": [
      {
        "id": "<string>",
        "name": "<string>",
        "values": [
          "<string>"
        ],
        "position": 123
      }
    ],
    "variants": [
      {
        "id": "<string>",
        "title": "<string>",
        "options": {},
        "price": 123,
        "images": [
          "<string>"
        ],
        "inStock": true,
        "trackStock": true,
        "position": 123,
        "slug": "<string>",
        "description": "<string>",
        "sku": "<string>",
        "compareAtPrice": 123,
        "quantity": 123
      }
    ],
    "categories": [
      {
        "id": "<string>",
        "name": "<string>",
        "slug": "<string>"
      }
    ],
    "subtitle": "<string>",
    "description": "<string>",
    "compareAtPrice": 123,
    "message": "<string>",
    "minimumPrice": 123,
    "maxPerCustomer": 123,
    "fulfillmentMode": "MANAGED_LICENSE",
    "availableFrom": "2023-11-07T05:31:56Z",
    "availableUntil": "2023-11-07T05:31:56Z",
    "billingInterval": "WEEKLY",
    "billingAnchor": 123,
    "trialDays": 123
  }
}

Path Parameters

storeId
string
required

Store ID (shp_ prefix)

productId
string
required

Product ID (prd_ prefix)

Response

Product details

ok
boolean
required
data
object
required